# Generated from opentracing-instrumentation-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name opentracing-instrumentation

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: OpenTracing instrumentation for popular ruby libraries
License: MIT
URL: https://gitlab.com/c0va23/ruby-opentracing-instrumentation.
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby > 2.5.0
# BuildRequires: rubygem(activesupport) >= 5.2
# BuildRequires: rubygem(activesupport) < 6
# BuildRequires: rubygem(bson) >= 4.0
# BuildRequires: rubygem(bson) < 5
# BuildRequires: rubygem(bunny) >= 2.0
# BuildRequires: rubygem(bunny) < 3
# BuildRequires: rubygem(faraday) >= 1.0
# BuildRequires: rubygem(faraday) < 2
# BuildRequires: rubygem(hutch) >= 0.26.0
# BuildRequires: rubygem(hutch) < 0.27
# BuildRequires: rubygem(rack) >= 2.2.2
# BuildRequires: rubygem(rack) < 2.3
# BuildRequires: rubygem(redis) >= 3.3.5
# BuildRequires: rubygem(redis) < 3.4
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.15.0
# BuildRequires: rubygem(rubocop) < 1.16
# BuildRequires: rubygem(rubocop-performance) >= 1.11.3
# BuildRequires: rubygem(rubocop-performance) < 1.12
# BuildRequires: rubygem(rubocop-rake) >= 0.5.1
# BuildRequires: rubygem(rubocop-rake) < 0.6
# BuildRequires: rubygem(rubocop-rspec) >= 2.3.0
# BuildRequires: rubygem(rubocop-rspec) < 2.4
# BuildRequires: rubygem(rubocop-thread_safety) >= 0.4.2
# BuildRequires: rubygem(rubocop-thread_safety) < 0.5
# BuildRequires: rubygem(thrift) >= 0.14.1
# BuildRequires: rubygem(thrift) < 0.15
BuildArch: noarch

%description
OpenTracing instrumentation for Bunny, Faraday, Hutch, Mongo, PORO, Rack,
Sidekiq, Sinatra, Thrift.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.BUNDLER_VERSION
%{gem_instdir}/.drone.jsonnet
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/GEM_VERSION
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/opentracing-instrumentation.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.1-1
- Initial package
